---
schema:
  procedures: {}
  tables:
    crash_frames:
      constraints:
        - deferrable: 1
          expression: ''
          fields:
            - id
          match_type: ''
          name: ''
          on_delete: ''
          on_update: ''
          options: []
          reference_fields: []
          reference_table: ''
          type: PRIMARY KEY
        - deferrable: 1
          expression: ''
          fields:
            - crash_thread_id
          match_type: ''
          name: crash_frames_fk_crash_thread_id
          on_delete: ''
          on_update: ''
          options: []
          reference_fields:
            - id
          reference_table: crash_threads
          type: FOREIGN KEY
        - deferrable: 1
          expression: ''
          fields:
            - module_id
          match_type: ''
          name: crash_frames_fk_module_id
          on_delete: ''
          on_update: ''
          options: []
          reference_fields:
            - id
          reference_table: modules
          type: FOREIGN KEY
      fields:
        crash_thread_id:
          data_type: int
          default_value: ~
          is_nullable: 0
          is_primary_key: 0
          is_unique: 0
          name: crash_thread_id
          order: 7
          size:
            - 0
        function:
          data_type: varchar
          default_value: ~
          is_nullable: 1
          is_primary_key: 0
          is_unique: 0
          name: function
          order: 3
          size:
            - 128
        id:
          data_type: int
          default_value: ~
          is_auto_increment: 1
          is_nullable: 0
          is_primary_key: 1
          is_unique: 0
          name: id
          order: 1
          size:
            - 0
        module_id:
          data_type: int
          default_value: ~
          is_nullable: 0
          is_primary_key: 0
          is_unique: 0
          name: module_id
          order: 8
          size:
            - 0
        number:
          data_type: int
          default_value: ~
          is_nullable: 0
          is_primary_key: 0
          is_unique: 0
          name: number
          order: 2
          size:
            - 0
        source_file:
          data_type: varchar
          default_value: ~
          is_nullable: 1
          is_primary_key: 0
          is_unique: 0
          name: source_file
          order: 4
          size:
            - 128
        source_line:
          data_type: int
          default_value: ~
          is_nullable: 1
          is_primary_key: 0
          is_unique: 0
          name: source_line
          order: 5
          size:
            - 0
        stack_walk_mode:
          data_type: varchar
          default_value: ~
          is_nullable: 1
          is_primary_key: 0
          is_unique: 0
          name: stack_walk_mode
          order: 6
          size:
            - 10
      indices:
        - fields:
            - crash_thread_id
          name: crash_frames_idx_crash_thread_id
          options: []
          type: NORMAL
        - fields:
            - module_id
          name: crash_frames_idx_module_id
          options: []
          type: NORMAL
      name: crash_frames
      options: []
      order: 6
    crash_reports:
      constraints:
        - deferrable: 1
          expression: ''
          fields:
            - id
          match_type: ''
          name: ''
          on_delete: ''
          on_update: ''
          options: []
          reference_fields: []
          reference_table: ''
          type: PRIMARY KEY
        - deferrable: 1
          expression: ''
          fields:
            - crash_user_id
          match_type: ''
          name: crash_reports_fk_crash_user_id
          on_delete: ''
          on_update: ''
          options: []
          reference_fields:
            - id
          reference_table: crash_users
          type: FOREIGN KEY
        - deferrable: 1
          expression: ''
          fields:
            - product_id
          match_type: ''
          name: crash_reports_fk_product_id
          on_delete: ''
          on_update: ''
          options: []
          reference_fields:
            - id
          reference_table: products
          type: FOREIGN KEY
      fields:
        bug_reference:
          data_type: varchar
          default_value: ~
          is_nullable: 1
          is_primary_key: 0
          is_unique: 0
          name: bug_reference
          order: 5
          size:
            - 20
        crash_time:
          data_type: timestamp
          default_value: ~
          is_nullable: 1
          is_primary_key: 0
          is_unique: 0
          name: crash_time
          order: 3
          size:
            - 0
        crash_user_id:
          data_type: int
          default_value: ~
          is_nullable: 0
          is_primary_key: 0
          is_unique: 0
          name: crash_user_id
          order: 6
          size:
            - 0
        id:
          data_type: int
          default_value: ~
          is_auto_increment: 1
          is_nullable: 0
          is_primary_key: 1
          is_unique: 0
          name: id
          order: 1
          size:
            - 0
        product_id:
          data_type: int
          default_value: ~
          is_nullable: 0
          is_primary_key: 0
          is_unique: 0
          name: product_id
          order: 7
          size:
            - 0
        start_time:
          data_type: timestamp
          default_value: ~
          is_nullable: 1
          is_primary_key: 0
          is_unique: 0
          name: start_time
          order: 2
          size:
            - 0
        uuid:
          data_type: varchar
          default_value: ~
          is_nullable: 0
          is_primary_key: 0
          is_unique: 0
          name: uuid
          order: 4
          size:
            - 36
      indices:
        - fields:
            - crash_user_id
          name: crash_reports_idx_crash_user_id
          options: []
          type: NORMAL
        - fields:
            - product_id
          name: crash_reports_idx_product_id
          options: []
          type: NORMAL
      name: crash_reports
      options: []
      order: 4
    crash_threads:
      constraints:
        - deferrable: 1
          expression: ''
          fields:
            - id
          match_type: ''
          name: ''
          on_delete: ''
          on_update: ''
          options: []
          reference_fields: []
          reference_table: ''
          type: PRIMARY KEY
        - deferrable: 1
          expression: ''
          fields:
            - crash_report_id
          match_type: ''
          name: crash_threads_fk_crash_report_id
          on_delete: ''
          on_update: ''
          options: []
          reference_fields:
            - id
          reference_table: crash_reports
          type: FOREIGN KEY
      fields:
        crash_report_id:
          data_type: int
          default_value: ~
          is_nullable: 0
          is_primary_key: 0
          is_unique: 0
          name: crash_report_id
          order: 4
          size:
            - 0
        crashed:
          data_type: bool
          default_value: ~
          is_nullable: 0
          is_primary_key: 0
          is_unique: 0
          name: crashed
          order: 3
          size:
            - 0
        id:
          data_type: int
          default_value: ~
          is_auto_increment: 1
          is_nullable: 0
          is_primary_key: 1
          is_unique: 0
          name: id
          order: 1
          size:
            - 0
        number:
          data_type: int
          default_value: ~
          is_nullable: 0
          is_primary_key: 0
          is_unique: 0
          name: number
          order: 2
          size:
            - 0
      indices:
        - fields:
            - crash_report_id
          name: crash_threads_idx_crash_report_id
          options: []
          type: NORMAL
      name: crash_threads
      options: []
      order: 5
    crash_users:
      constraints:
        - deferrable: 1
          expression: ''
          fields:
            - id
          match_type: ''
          name: ''
          on_delete: ''
          on_update: ''
          options: []
          reference_fields: []
          reference_table: ''
          type: PRIMARY KEY
      fields:
        cpu_arch:
          data_type: varchar
          default_value: ~
          is_nullable: 1
          is_primary_key: 0
          is_unique: 0
          name: cpu_arch
          order: 4
          size:
            - 10
        cpu_count:
          data_type: int
          default_value: ~
          is_nullable: 1
          is_primary_key: 0
          is_unique: 0
          name: cpu_count
          order: 5
          size:
            - 0
        extra_info:
          data_type: text
          default_value: ~
          is_nullable: 1
          is_primary_key: 0
          is_unique: 0
          name: extra_info
          order: 6
          size:
            - 0
        id:
          data_type: int
          default_value: ~
          is_auto_increment: 1
          is_nullable: 0
          is_primary_key: 1
          is_unique: 0
          name: id
          order: 1
          size:
            - 0
        os:
          data_type: varchar
          default_value: ~
          is_nullable: 1
          is_primary_key: 0
          is_unique: 0
          name: os
          order: 3
          size:
            - 40
        user_id:
          data_type: varchar
          default_value: ~
          is_nullable: 0
          is_primary_key: 0
          is_unique: 0
          name: user_id
          order: 2
          size:
            - 40
      indices: []
      name: crash_users
      options: []
      order: 1
    modules:
      constraints:
        - deferrable: 1
          expression: ''
          fields:
            - id
          match_type: ''
          name: ''
          on_delete: ''
          on_update: ''
          options: []
          reference_fields: []
          reference_table: ''
          type: PRIMARY KEY
        - deferrable: 1
          expression: ''
          fields:
            - debug_id
            - filename
          match_type: ''
          name: module_id
          on_delete: ''
          on_update: ''
          options: []
          reference_fields: []
          reference_table: ''
          type: UNIQUE
      fields:
        debug_id:
          data_type: varchar
          default_value: ~
          is_nullable: 0
          is_primary_key: 0
          is_unique: 1
          name: debug_id
          order: 2
          size:
            - 33
        filename:
          data_type: varchar
          default_value: ~
          is_nullable: 0
          is_primary_key: 0
          is_unique: 1
          name: filename
          order: 3
          size:
            - 128
        id:
          data_type: int
          default_value: ~
          is_auto_increment: 1
          is_nullable: 0
          is_primary_key: 1
          is_unique: 0
          name: id
          order: 1
          size:
            - 0
        version:
          data_type: varchar
          default_value: ~
          is_nullable: 1
          is_primary_key: 0
          is_unique: 0
          name: version
          order: 4
          size:
            - 64
      indices: []
      name: modules
      options: []
      order: 2
    products:
      constraints:
        - deferrable: 1
          expression: ''
          fields:
            - id
          match_type: ''
          name: ''
          on_delete: ''
          on_update: ''
          options: []
          reference_fields: []
          reference_table: ''
          type: PRIMARY KEY
      fields:
        distributor:
          data_type: varchar
          default_value: ~
          is_nullable: 1
          is_primary_key: 0
          is_unique: 0
          name: distributor
          order: 2
          size:
            - 40
        id:
          data_type: int
          default_value: ~
          is_auto_increment: 1
          is_nullable: 0
          is_primary_key: 1
          is_unique: 0
          name: id
          order: 1
          size:
            - 0
        name:
          data_type: varchar
          default_value: ~
          is_nullable: 1
          is_primary_key: 0
          is_unique: 0
          name: name
          order: 3
          size:
            - 40
        release_channel:
          data_type: varchar
          default_value: ~
          is_nullable: 1
          is_primary_key: 0
          is_unique: 0
          name: release_channel
          order: 5
          size:
            - 0
        version:
          data_type: varchar
          default_value: ~
          is_nullable: 1
          is_primary_key: 0
          is_unique: 0
          name: version
          order: 4
          size:
            - 16
      indices: []
      name: products
      options: []
      order: 3
  triggers: {}
  views: {}
translator:
  add_drop_table: 0
  filename: ~
  no_comments: 0
  parser_args:
    sources:
      - CrashFrame
      - CrashReport
      - CrashThread
      - CrashUser
      - Module
      - Product
  parser_type: SQL::Translator::Parser::DBIx::Class
  producer_args: {}
  producer_type: SQL::Translator::Producer::YAML
  show_warnings: 0
  trace: 0
  version: 0.11020
